Subject: Re: bug#75275: 30.0.92; `make-thread` bug on macOS 15.2

From: Alan Third <[email-masked]>
Date: Thu, 2 Jan 2025 14:17:00 +0000

On Thu, Jan 02, 2025 at 03:03:54PM +0100, Gerd Möllmann wrote:
> >> One strange thing about threads having their own event queue is that the
> >> message Stefan sees comes from the NSApplicaiton::run in ns_select_1. Be
> >> that at it may.
> >
> > Indeed, ns_select_1 is being run in a sub-thread and it therefore runs
> > a thread-specific run queue which has no events in it. It requires an
> > event to be sent to it so it will stop but none ever is because we
> > only ever send events to the main thread's event queue.
> 
> What I meant was the the NSApplication::run in ns_select_1 in Stefan's
> case seems to call something complaining about being called in the wrong
> thread. I guess it would also complain if there were an event in the
> queue. I don't know.

Oh yeah, that's a good point. The queue in NSApp will be the main
queue rather than the thread's queue.

> This whole code gets on my nerves :-).

Tell me about it.
-- 
Alan Third